All Classes Namespaces Functions Variables Groups Pages
CsvUtil Namespace Reference

the CsvUtil namespace contains all the objects in the CsvUtil module More...

## Classes

class | AbstractCsvWriter
| the AbstractCsvWriter class provides a parent for all CSV writers More...
class | CsvAbstractIterator
| the CsvAbstractIterator class is an abstract base class that allows abstract CSV data to be iterated More...
class | CsvDataIterator
| the CsvDataIterator class allows arbitrary CSV string data to be iterated on a record basis More...
class | CsvFileIterator
| the CsvFileIterator class allows CSV files to be iterated on a record basis More...
class | CsvFileWriter
| the CsvFileWriter class for easy and safe CSV file creation More...
class | CsvStringWriter
| the CsvStringWriter class for in-memory string CSV creation More...

## Variables

const | EOL_MACINTOSH = "\r"
| Old (pre-OSX) Macintosh end of line character sequence.
const | EOL_UNIX = "\n"
| Unix end of line character sequence (for new OS X too)
const | EOL_WIN = "\r\n"
| MS DOS/Windows end of line character sequence.

## Detailed Description

the CsvUtil namespace contains all the objects in the CsvUtil module